libmwaw::PrinterInfo Struct Reference documentation

libmwaw::PrinterInfo Struct Reference

the AppleŠ printer information : TPrint More...

`#include <MWAWPrinter.hxx>`

## Public Member Functions
| PrinterInfo ()
| constructor
| ~PrinterInfo ()
| destructor
PrinterRect | page () const
| returns the page rectangle
PrinterRect | paper () const
| returns the paper rectangle
bool | read (MWAWInputStreamPtr input)
| reads the struture in a file

## Protected Attributes
std::shared_ptr< PrinterInfoData > | m_data
| internal data

## Private Member Functions
| PrinterInfo (PrinterInfo const &orig)=delete
PrinterInfo & | operator= (PrinterInfo const &orig)=delete

## Friends
std::ostream & | operator<< (std::ostream &o, PrinterInfo const &r)
| operator<< for a PrinterInfo

## Detailed Description

the AppleŠ printer information : TPrint

## Constructor & Destructor Documentation

## ◆ PrinterInfo() [1/2]

libmwaw::PrinterInfo::PrinterInfo | ( |  | ) |

constructor

Referenced by operator<<, operator=(), and PrinterInfo().

## ◆ ~PrinterInfo()

libmwaw::PrinterInfo::~PrinterInfo | ( |  | ) |

destructor

## ◆ PrinterInfo() [2/2]

libmwaw::PrinterInfo::PrinterInfo | ( | PrinterInfo const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

PrinterInfo & libmwaw::PrinterInfo::operator= | ( | PrinterInfo const & | orig | ) |
| privatedelete

## ◆ page()

PrinterRect libmwaw::PrinterInfo::page | ( |  | ) | const

returns the page rectangle

Referenced by ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWksDocument::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## ◆ paper()

PrinterRect libmwaw::PrinterInfo::paper | ( |  | ) | const

returns the paper rectangle

Referenced by ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWksDocument::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## ◆ read()

bool libmwaw::PrinterInfo::read | ( | MWAWInputStreamPtr | input | ) |

reads the struture in a file

Referenced by FreeHandParser::checkHeader(), FreeHandParser::createZones(), RagTime5StructManager::readField(), Canvas5Parser::readPrinterRsrc(), ActaParser::readPrintInfo(), BeagleWksBMParser::readPrintInfo(), BeagleWksDBParser::readPrintInfo(), BeagleWksDRParser::readPrintInfo(), BeagleWksParser::readPrintInfo(), BeagleWksSSParser::readPrintInfo(), CanvasParser::readPrintInfo(), ClarisDrawParser::readPrintInfo(), ClarisWksDocument::readPrintInfo(), CricketDrawParser::readPrintInfo(), DrawTableParser::readPrintInfo(), FullWrtParser::readPrintInfo(), GreatWksDocument::readPrintInfo(), HanMacWrdJParser::readPrintInfo(), HanMacWrdKParser::readPrintInfo(), LightWayTxtParser::readPrintInfo(), MacDraft5Parser::readPrintInfo(), MacDraftParser::readPrintInfo(), MacDrawParser::readPrintInfo(), MacDrawProParser::readPrintInfo(), MacWrtParser::readPrintInfo(), MacWrtProParser::readPrintInfo(), MarinerWrtParser::readPrintInfo(), MindWrtParser::readPrintInfo(), MoreParser::readPrintInfo(), MouseWrtParser::readPrintInfo(), MsWksDocument::readPrintInfo(), MsWrdParser::readPrintInfo(), NisusWrtParser::readPrintInfo(), PowerPoint1Parser::readPrintInfo(), PowerPoint3Parser::readPrintInfo(), RagTimeParser::readPrintInfo(), ReadySetGoParser::readPrintInfo(), ScoopParser::readPrintInfo(), ScriptWriterParser::readPrintInfo(), StudentWritingCParser::readPrintInfo(), StyleParser::readPrintInfo(), SuperPaintParser::readPrintInfo(), WingzParser::readPrintInfo(), WordMakerParser::readPrintInfo(), WriteNowParser::readPrintInfo(), WriterPlsParser::readPrintInfo(), and MsWks4Zone::readPRNT().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | PrinterInfo const & | r )
| friend

operator<< for a PrinterInfo

## Member Data Documentation

## ◆ m_data

std::shared_ptr<PrinterInfoData> libmwaw::PrinterInfo::m_data
| protected

internal data

Referenced by operator<<, page(), paper(), PrinterInfo(), and read().

The documentation for this struct was generated from the following files:

- MWAWPrinter.hxx
- MWAWPrinter.cxx